Package org.eclipse.emf.cdo.server

# Interface IStoreAccessor.QueryXRefsContext

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOTimeProvider`

Enclosing interface:
  IStoreAccessor

public static interface IStoreAccessor.QueryXRefsContext extends CDOBranchPoint
Represents the query execution state of a `XRefs query`.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addXRef(CDOID targetID, CDOID sourceID, EReference sourceReference, int sourceIndex)`
Adds the data of one cross reference to the results of the underlying query.
`int`
`getMaxResults()`
Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.
`Map<EClass,List<EReference>>`
`getSourceCandidates()`
`EReference[]`
`getSourceReferences()`
`Map<CDOID,EClass>`
`getTargetObjects()`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

## Method Details

### getTargetObjects

Map<CDOID,EClass> getTargetObjects()

Since:
  4.0

### getSourceReferences

EReference[] getSourceReferences()

### getSourceCandidates

Map<EClass,List<EReference>> getSourceCandidates()

Since:
  4.0

### getMaxResults

int getMaxResults()
Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.

### addXRef

boolean addXRef(CDOID targetID, CDOID sourceID, EReference sourceReference, int sourceIndex)
Adds the data of one cross reference to the results of the underlying query.

Returns:
  `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).